Bug 238797 - [exp-run] Add support for zstd to libarchive
Summary: [exp-run] Add support for zstd to libarchive
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL: https://reviews.freebsd.org/D20752
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-25 07:35 UTC by Baptiste Daroussin
Modified: 2019-09-18 08:07 UTC (History)
1 user (show)

See Also:
bapt: mfc-stable12?
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2019-06-25 07:35:01 UTC
Add support for zstd to libarchive
Comment 1 Baptiste Daroussin freebsd_committer 2019-06-25 09:19:10 UTC
please hold before the exp-run, some updates in pkg are incoming in the next days
Comment 2 Baptiste Daroussin freebsd_committer 2019-09-06 19:57:35 UTC
This can now be exp-run properly (with WITH_PKG=devel)
Comment 3 Antoine Brodin freebsd_committer 2019-09-17 18:40:42 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2019-09-18 07:58:15 UTC
A commit references this bug:

Author: bapt
Date: Wed Sep 18 07:57:57 UTC 2019
New revision: 352482
URL: https://svnweb.freebsd.org/changeset/base/352482

Log:
  Add native support for zstd to libarchive

  Note that old pkg will failed to build after this. A recent ports tree (one
  providing pkg 1.12+) is required to build. Older already built pkg, should
  continue working as expected

  PR:		238797
  Exp run by:	antoine
  Reviewed by:	cem
  Approved by:	cem
  Differential Revision:	https://reviews.freebsd.org/D20752

Changes:
  head/Makefile.inc1
  head/lib/Makefile
  head/lib/libarchive/Makefile